{ den, inputs, ... }: {
  den.aspects.notebook-specific.nixos = { pkgs, ... }: {
    imports = [
      ./_hardware/notebook-hardware.nix
      ./_hardware/notebook-disko.nix
      inputs.disko.nixosModules.disko
    ];

    hardware.graphics = {
      enable      = true;
      enable32Bit = true;
    };

    services.thermald.enable = true;

    boot = {
      initrd.availableKernelModules = [ "xhci_pci" "ahci" "usbhid" "sd_mod" ];
      initrd.kernelModules          = [ "dm-crypt" ];
      kernelModules                 = [ "kvm-intel" ];
      initrd.compressor             = "zstd";

      loader = {
        grub = {
          enable             = true;
          device             = "nodev";
          efiSupport         = true;
          configurationLimit = 2;
          enableCryptodisk   = true;
        };
        efi.canTouchEfiVariables = true;
      };
    };
  };
}
